
#----------------项目设置----------------------------------------------------
PROJECT_NAME = titan_pcbcam
ROOT_DIR = $$PWD/../../
HEADER_DIR = titan/pcbcam
DLL_LIBS =
STATIC_LIBS =
VERSION = 2.0.2
#----------------编译设置---------------------------------------------------
TEMPLATE = lib
##CONFIG += staticlib

### Library Export
CONFIG(staticlib) : DEFINES += $$upper($${PROJECT_NAME})_STATIC
else : DEFINES += $$upper($${PROJECT_NAME})_SHARED

TARGET = $$qtLibraryTarget($${PROJECT_NAME})

###添加QT库依赖库
QT       += core core-private gui widgets qml

TRANSLATIONS += $${PROJECT_NAME}_en.ts $${PROJECT_NAME}_zhcn.ts $${PROJECT_NAME}_zhtw.ts
QM_LIST = $$PWD/*.qm

#-----------------File List----------------------------------------------

SOURCES +=

HEADERS += \
    titanpcbcamglobal.h


OTHER_FILES +=

RESOURCES +=

DISTFILES +=

include(pcbcam.pri)

#----------------其它编译设定----------------------------------------------
SRC_PWD = $$PWD
include($${ROOT_DIR}/shared/shared.pri)


### 导出头文件 ###
equals(TEMPLATE, "lib") {
    headerlist = core widget parser
    for(hf, headerlist) {
        hpath = $$system_path($${DIST_HEADER}/$${hf})
        !exists($${hpath}){
            mkpath($${hpath})
        }
        win32 {
            system(copy $$system_path($${SRC_PWD}/$${hf}/*.h) $${hpath})
        } else {
            system(cp $$system_path($${SRC_PWD}/$${hf}/*.h) $${hpath})
        }
    }
}

# Version
CONFIG += skip_target_version_ext
QMAKE_TARGET_PRODUCT = titan_pcbcam
QMAKE_TARGET_COMPANY = TopLinker Co.,Ltd.
QMAKE_TARGET_COPYRIGHT = Copyright(C) 2020 TopLinker

###############################  COPYRIGHT ##################################
#                                                                           #
#   Copyright (c) 2009-2020 TopLinker Co.,Ltd. (http://www.toplinker.net)   #
#                           ALL RIGHTS RESERVED                             #
#                                                                           #
#   The entire contents of this file is protected by copyright law and      #
#   international treaties. Unauthorized reproduction, reverse-engineering  #
#   and distribution of all or any portion of the code contained in this    #
#   file is strictly prohibited and may result in severe civil and          #
#   criminal penalties and will be prosecuted to the maximum extent         #
#   possible under the law.                                                 #
#                                                                           #
#   RESTRICTIONS                                                            #
#                                                                           #
#   THE SOURCE CODE CONTAINED WITHIN THIS FILE AND ALL RELATED              #
#   FILES OR ANY PORTION OF ITS CONTENTS SHALL AT NO TIME BE                #
#   COPIED, TRANSFERRED, SOLD, DISTRIBUTED, OR OTHERWISE MADE               #
#   AVAILABLE TO OTHER INDIVIDUALS WITHOUT WRITTEN CONSENT                  #
#   AND PERMISSION FROM DEVELOPER MACHINES                                  #
#                                                                           #
#   CONSULT THE END USER LICENSE AGREEMENT FOR INFORMATION ON               #
#   ADDITIONAL RESTRICTIONS.                                                #
#                                                                           #
#############################################################################
