﻿#ifndef TITAN_PCBCAM_PARSERHELPER_H
#define TITAN_PCBCAM_PARSERHELPER_H
#include "../titanpcbcamglobal.h"
#include <QVariantMap>
#include <QPainterPath>

TITAN_BEGIN_NAMESPACE

class PcbCamFont;

class TITAN_PCBCAM_EXPORT PcbCamParserHelper
{
public:
    static QVariantMap parseOdbStructuredText(const QByteArray &iData, QString *oErrStr = nullptr);
    static QPainterPath parseOdbProfile(const QByteArray &iData, QString *oErrStr = nullptr);
    static bool parseOdbFont(const QByteArray &iData, PcbCamFont *oFont, QString *oErrStr = nullptr);
private:
    PcbCamParserHelper();
};

TITAN_END_NAMESPACE

#endif // TITAN_PCBCAM_PARSERHELPER_H
