INCLUDEPATH += $$PWD

SOURCES += \
    $$PWD/core/job.cpp \
    $$PWD/core/math.cpp \
    $$PWD/core/symbolfactory.cpp \
    $$PWD/core/util.cpp \
    $$PWD/core/attrdefine.cpp \
    $$PWD/core/feature.cpp \
    $$PWD/core/font.cpp \
    $$PWD/core/fontcharline.cpp \
    $$PWD/core/layer.cpp \
    $$PWD/core/matrixlayer.cpp \
    $$PWD/core/step.cpp \
    $$PWD/core/steprepeat.cpp \
    $$PWD/core/symbol.cpp \
    $$PWD/parser/drillparser.cpp \
    $$PWD/parser/gerber274xparser.cpp \
    $$PWD/parser/odbcomponentparser.cpp \
    $$PWD/parser/odbedadataparser.cpp \
    $$PWD/widget/canvas.cpp \
    $$PWD/parser/odbfeatureparser.cpp \
    $$PWD/parser/odbmatrixparser.cpp \
    $$PWD/parser/parserhelper.cpp \
    $$PWD/core/core.cpp \
    $$PWD/core/config.cpp \
    $$PWD/widget/popviewwindow.cpp

HEADERS += \
    $$PWD/core/math.h \
    $$PWD/parser/drillparser.h \
    $$PWD/parser/gerber274xparser.h \
    $$PWD/parser/odbcomponentparser.h \
    $$PWD/parser/odbedadataparser.h \
    $$PWD/core/job.h \
    $$PWD/core/symbolfactory.h \
    $$PWD/core/util.h \
    $$PWD/core/attrdefine.h \
    $$PWD/core/feature.h \
    $$PWD/core/font.h \
    $$PWD/core/fontcharline.h \
    $$PWD/core/layer.h \
    $$PWD/core/matrixlayer.h \
    $$PWD/core/step.h \
    $$PWD/core/steprepeat.h \
    $$PWD/core/symbol.h \
    $$PWD/widget/canvas.h \
    $$PWD/parser/odbfeatureparser.h \
    $$PWD/parser/odbmatrixparser.h \
    $$PWD/parser/parserhelper.h \
    $$PWD/core/common.h \
    $$PWD/core/core.h \
    $$PWD/core/abstractdataio.h \
    $$PWD/core/config.h \
    $$PWD/widget/popviewwindow.h

OTHER_FILES +=

RESOURCES +=

DISTFILES +=


